<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jianshui.income.mapper.IncomeInvoiceAuthAccountMapper">
    
    <resultMap type="IncomeInvoiceAuthAccount" id="IncomeInvoiceAuthAccountResult">
        <result property="id"    column="id"    />
        <result property="sbh"    column="sbh"    />
        <result property="ywmm"    column="ywmm"    />
        <result property="newywmm"    column="newywmm"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectIncomeInvoiceAuthAccountVo">
        select id, sbh, ywmm, newywmm, status, create_by, create_time, update_by, update_time, remark from income_invoice_auth_account
    </sql>

    <select id="selectIncomeInvoiceAuthAccountList" parameterType="IncomeInvoiceAuthAccount" resultMap="IncomeInvoiceAuthAccountResult">
        <include refid="selectIncomeInvoiceAuthAccountVo"/>
        <where>  
            <if test="sbh != null  and sbh != ''"> and sbh = #{sbh}</if>
            <if test="ywmm != null  and ywmm != ''"> and ywmm = #{ywmm}</if>
            <if test="newywmm != null  and newywmm != ''"> and newywmm = #{newywmm}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
        </where>
    </select>
    
    <select id="selectIncomeInvoiceAuthAccountById" parameterType="String" resultMap="IncomeInvoiceAuthAccountResult">
        <include refid="selectIncomeInvoiceAuthAccountVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertIncomeInvoiceAuthAccount" parameterType="IncomeInvoiceAuthAccount">
        insert into income_invoice_auth_account
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="sbh != null and sbh != ''">sbh,</if>
            <if test="ywmm != null">ywmm,</if>
            <if test="newywmm != null">newywmm,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="sbh != null and sbh != ''">#{sbh},</if>
            <if test="ywmm != null">#{ywmm},</if>
            <if test="newywmm != null">#{newywmm},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateIncomeInvoiceAuthAccount" parameterType="IncomeInvoiceAuthAccount">
        update income_invoice_auth_account
        <trim prefix="SET" suffixOverrides=",">
            <if test="sbh != null and sbh != ''">sbh = #{sbh},</if>
            <if test="ywmm != null">ywmm = #{ywmm},</if>
            <if test="newywmm != null">newywmm = #{newywmm},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteIncomeInvoiceAuthAccountById" parameterType="String">
        delete from income_invoice_auth_account where id = #{id}
    </delete>

    <delete id="deleteIncomeInvoiceAuthAccountByIds" parameterType="String">
        delete from income_invoice_auth_account where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>